package com.engine.organization.mapper.danikor;

import com.engine.organization.entity.column.TableColumnPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2023/01/16
 * @version: 1.0
 */
public interface DanikorResourceMapper {
    /**
     * 查询人员自定义表结构信息
     *
     * @param tableName
     * @return
     */
    List<TableColumnPO> getCusColumnByTableName(@Param("tableName") String tableName);

    /**
     * 查询组织架构表结构信息
     *
     * @param tableName
     * @return
     */
    List<TableColumnPO> getHrmColumnByTableName(@Param("tableName") String tableName);

    /**
     * 汇总人员数
     *
     * @param tableName
     * @param syncDate
     * @return
     */
    Integer summaryResourceData(@Param("tableName") String tableName, @Param("syncDate") String syncDate);

    /**
     * 汇总分部数
     *
     * @param tableName
     * @param syncDate
     * @return
     */
    Integer summaryCompanyData(@Param("tableName") String tableName, @Param("syncDate") String syncDate);

    /**
     * 汇总部门数
     *
     * @param tableName
     * @param syncDate
     * @return
     */
    Integer summaryDepartmentData(@Param("tableName") String tableName, @Param("syncDate") String syncDate);

    /**
     * 获取字段对应名称
     *
     * @param fieldName
     * @param scopeId
     * @return
     */
    String getFieldLabel(@Param("fieldName") String fieldName, @Param("scopeId") String scopeId);
}
